require 'singleton'

module IOSXliffLocalizer

  class Version
    include Singleton

    MAJOR = '0'
    MINOR = '2'
    PATCH = '1'

    def current_version
      [MAJOR, MINOR, PATCH].join(".")
    end
  end

  def self.version
    Version.instance.current_version
  end
end
